#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'doc.penawaran_peserta'}
#{/set}

<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{devpartner.BerandaDpCtr.index()}" >&{'doc.penawaran_peserta'}</a></li>
    <li><a href="@{devpartner.LelangDpCtr.view(lelang?.lls_id)}">&{'doc.info_paket'}</a></li>
    <li class="active">&{'doc.penawaran_pesera'}</li>
</ol>

<div class="content">
#{alert /}

    <div class="panel panel-default">
        <div class="panel-heading"><strong>${dokLabel}</strong></div>
        <div class="panel-body">
            <div id="alert-upload-${jenis}" style="width: auto;"></div>
            <ul id="files-${jenis}" class="list-group files" style="width: 500px;">
            #{list items:doc_penawaran_list, as:'penawaran'}
                <li class="list-group-item">
                    <a href="${penawaran?.blob?.getDownloadUrl()}"><i class="glyphicon glyphicon-download"></i> &nbsp; ${penawaran?.blob?.blb_nama_file}</a> <abbr title="Tanggal Kirim" class="initialism">
                    (${penawaran?.blob?.blb_date_time?.formatDateTime()})</abbr>

                    #{if editable}
                    <a href="javascript:void(0)" id="${penawaran?.dok_id}" style="float: right;"
                       class="btn btn-danger btn-xs" name="removeBtn" chk="${jenis}">
                        <i class="fa fa-close"></i>
                    </a>
                    #{/if}
                </li>
            #{/list}
            </ul>
            #{if editable}
            <div class="btn btn-success fileinput-button">
                <i class="glyphicon glyphicon-plus"></i>
                <span>&{'doc.upload'}</span>
                <input id="upload-${jenis}" type="file" name="file"
                       onclick="upload('${jenis}');">
            </div>
            <br /><br />
            <div id="progress-${jenis}" class="progress" style="display: none;">
                <div class="progress-bar progress-bar-success"></div>
            </div>
            <div id="alert-upload" style="margin-top: 10px;"></div>
            #{/if}
            #{backButton action:@devpartner.LelangDpCtr.view(lelang.lls_id) /}
        </div>
    </div>
</div>

#{set 'css_custom' }
#{if editable}
    <link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/if}
#{/set}


#{set 'custom_script'}
    <script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
#{if editable}
    <script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>

<script type="text/javascript" src="#{assets '/javascripts/FileSaver.min.js'/}"></script>
<script type="text/javascript">
    function upload(jenis) {
        var url = #{jsRoute @devpartner.DokumenDpCtr.uploadPenawaran(peserta?.lls_id, peserta?.psr_id, ':jenis') /};

        $('#upload-'+jenis).fileupload({
            url: url.url({jenis:jenis}),
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file,) {
                    var content = '<a href="' + file.download_url + '"><i class="glyphicon glyphicon-download"></i>' +
                            '&nbsp; ' + file.name + '</a> - ' + file.size + ' (' + file.upload_date + ')' +
                            ' <a href="javascript:void(0)" id="'+data.result.dok_id+'" style="float: right;" chk="'+jenis+'"' +
                            'class="btn btn-danger btn-xs" name="removeBtn"><i class="fa fa-close"></i></a>';
                    $('<li/>').addClass('list-group-item').html(content).appendTo('#files-'+jenis);
                });
                $('#progress-'+jenis).hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress-'+jenis).show();
                $('#progress-'+jenis+' .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name + ' - ' + file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    };

    $(document).on('click', "[name = 'removeBtn']", function () {
        var id = $(this).attr('id');
        var chk = $(this).attr('chk');
        var parent = $(this).parent()
        var source = #{jsRoute @devpartner.DokumenDpCtr.hapusPenawaran() /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data: {'dok_id': id},
            success: function (result) {
                if (result.status === 'ok') {
                    $('#alert-upload-' + chk).html('<div class="alert alert-success" role="alert">&{'flash.file_telah_terhapus'}</div>');
                    parent.remove()
                } else {
                    $('#alert-upload-' + chk).html('<div class="alert alert-success" role="alert">' + result.message + '</div>');
                }
            },
            error: function () {
                $('#alert-upload-'+chk).html('<div class="alert alert-danger" role="alert">File tidak bisa dihapus</div>');
            }
        })
    });
</script>
#{/if}
#{/set}


